aboutsummaryrefslogtreecommitdiff
path: root/misc/fcitx5-chewing/fcitx5-chewing.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/fcitx5-chewing/fcitx5-chewing.SlackBuild')
-rw-r--r--misc/fcitx5-chewing/fcitx5-chewing.SlackBuild10
1 files changed, 4 insertions, 6 deletions
diff --git a/misc/fcitx5-chewing/fcitx5-chewing.SlackBuild b/misc/fcitx5-chewing/fcitx5-chewing.SlackBuild
index 2892b23156320..59077bdcec47b 100644
--- a/misc/fcitx5-chewing/fcitx5-chewing.SlackBuild
+++ b/misc/fcitx5-chewing/fcitx5-chewing.SlackBuild
@@ -25,12 +25,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=fcitx5-chewing
-VERSION=${VERSION:-5.0.12}
+VERSION=${VERSION:-5.0.13}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-PKGTYPE=${PKGTYPE:-txz}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+PKGTYPE=${PKGTYPE:-tgz}
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
@@ -60,7 +58,7 @@ else
fi
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PRGNAM-$VERSION-$ARCH-$BUILD.txz"
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.txz"
exit 0
fi
@@ -90,7 +88,7 @@ cd build
-DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
..
- make $NUMJOBS || make || exit 1
+ make || exit 1
make install/strip DESTDIR=$PKG || exit 1
cd ..